libzypp: zypp::json Namespace Reference

libzypp 17.36.6

Namespaces | Classes | Functions
zypp::json Namespace Reference

## Namespaces
namespace | detail

## Classes
class | Array
| JSON array. More...
class | Object
| JSON object. More...
class | String
| JSON string Force representation as JSON string, mapping e.g. More...
class | Value
| JSON representation of datatypes via toJSON. More...

## Functions
static const std::string & | nullJSON ()
static const std::string & | trueJSON ()
static const std::string & | falseJSON ()
std::string | toJSON (void)
std::string | toJSON (std::nullptr_t)
std::string | toJSON (bool val_r)
std::string | toJSON (const void *val_r)
std::string | toJSON (short val_r)
std::string | toJSON (unsigned short val_r)
std::string | toJSON (int val_r)
std::string | toJSON (unsigned val_r)
std::string | toJSON (long val_r)
std::string | toJSON (unsigned long val_r)
std::string | toJSON (long long val_r)
std::string | toJSON (unsigned long long val_r)
std::string | toJSON (const char val_r)
std::string | toJSON (const char *val_r)
std::string | toJSON (const std::string &val_r)
template<class V>
std::string | toJSON (const std::vector< V > &cont_r)
template<class V>
std::string | toJSON (const std::list< V > &cont_r)
template<class V>
std::string | toJSON (const std::set< V > &cont_r)
template<class K, class V>
std::string | toJSON (const std::map< K, V > &cont_r)
template<class T>
std::string | toJSON (const T &val_r)
| Type to JSON string representation.
template<>
std::string | toJSON (const ZYppCommitResult::TransactionStepList &steps_r)
template<>
std::string | toJSON (const sat::Transaction::Step &step_r)
| See commitbegin on page plugin-commit for the specs.
std::ostream & | operator<< (std::ostream &str, const Value &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const Array &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const Object &obj)
| Stream output.

## Function Documentation

## ◆ nullJSON()

static const std::string & zypp::json::nullJSON | ( |  | ) |
| inlinestatic

Definition at line 32 of file Json.h.

## ◆ trueJSON()

static const std::string & zypp::json::trueJSON | ( |  | ) |
| inlinestatic

Definition at line 33 of file Json.h.

## ◆ falseJSON()

static const std::string & zypp::json::falseJSON | ( |  | ) |
| inlinestatic

Definition at line 34 of file Json.h.

## ◆ toJSON() [1/22]

std::string zypp::json::toJSON | ( | void |  | ) |
| inline

Definition at line 136 of file Json.h.

## ◆ toJSON() [2/22]

std::string zypp::json::toJSON | ( | std::nullptr_t |  | ) |
| inline

Definition at line 137 of file Json.h.

## ◆ toJSON() [3/22]

std::string zypp::json::toJSON | ( | bool | val_r | ) |
| inline

Definition at line 140 of file Json.h.

## ◆ toJSON() [4/22]

std::string zypp::json::toJSON | ( | const void * | val_r | ) |
| inline

Definition at line 141 of file Json.h.

## ◆ toJSON() [5/22]

std::string zypp::json::toJSON | ( | short | val_r | ) |
| inline

Definition at line 144 of file Json.h.

## ◆ toJSON() [6/22]

std::string zypp::json::toJSON | ( | unsigned short | val_r | ) |
| inline

Definition at line 145 of file Json.h.

## ◆ toJSON() [7/22]

std::string zypp::json::toJSON | ( | int | val_r | ) |
| inline

Definition at line 146 of file Json.h.

## ◆ toJSON() [8/22]

std::string zypp::json::toJSON | ( | unsigned | val_r | ) |
| inline

Definition at line 147 of file Json.h.

## ◆ toJSON() [9/22]

std::string zypp::json::toJSON | ( | long | val_r | ) |
| inline

Definition at line 148 of file Json.h.

## ◆ toJSON() [10/22]

std::string zypp::json::toJSON | ( | unsigned long | val_r | ) |
| inline

Definition at line 149 of file Json.h.

## ◆ toJSON() [11/22]

std::string zypp::json::toJSON | ( | long long | val_r | ) |
| inline

Definition at line 150 of file Json.h.

## ◆ toJSON() [12/22]

std::string zypp::json::toJSON | ( | unsigned long long | val_r | ) |
| inline

Definition at line 151 of file Json.h.

## ◆ toJSON() [13/22]

std::string zypp::json::toJSON | ( | const char | val_r | ) |
| inline

Definition at line 154 of file Json.h.

## ◆ toJSON() [14/22]

std::string zypp::json::toJSON | ( | const char * | val_r | ) |
| inline

Definition at line 155 of file Json.h.

## ◆ toJSON() [15/22]

std::string zypp::json::toJSON | ( | const std::string & | val_r | ) |
| inline

Definition at line 156 of file Json.h.

## ◆ toJSON() [16/22]

template<class V>

std::string zypp::json::toJSON | ( | const std::vector< V > & | cont_r | ) |

Definition at line 306 of file Json.h.

## ◆ toJSON() [17/22]

template<class V>

std::string zypp::json::toJSON | ( | const std::list< V > & | cont_r | ) |

Definition at line 310 of file Json.h.

## ◆ toJSON() [18/22]

template<class V>

std::string zypp::json::toJSON | ( | const std::set< V > & | cont_r | ) |

Definition at line 314 of file Json.h.

## ◆ toJSON() [19/22]

template<class K, class V>

std::string zypp::json::toJSON | ( | const std::map< K, V > & | cont_r | ) |

Definition at line 375 of file Json.h.

## ◆ toJSON() [20/22]

template<class T>

std::string zypp::json::toJSON | ( | const T & | val_r | ) |

Type to JSON string representation.

This can be implemented as non-static memberfunction `asJSON`, or as non-memberfunction `toJSON`;

class Type;
std::string Type::asJSON() const;
std::string toJSON( const Type & );
zypp::json::toJSON
std::string toJSON(void)
Definition Json.h:136

Definition at line 176 of file Json.h.

## ◆ toJSON() [21/22]

template<>

std::string zypp::json::toJSON | ( | const ZYppCommitResult::TransactionStepList & | steps_r | ) |
| inline

Definition at line 154 of file TargetImpl.cc.

## ◆ toJSON() [22/22]

template<>

std::string zypp::json::toJSON | ( | const sat::Transaction::Step & | step_r | ) |
| inline

See commitbegin on page plugin-commit for the specs.

Definition at line 169 of file TargetImpl.cc.